# This file is generated from maketmpl by mm.c
# This is file Maketmpl
#
# Copyright (C) 1991 DJ Delorie, 24 Kirsten Ave, Rochester NH 03867-2954
#
# This file is distributed under the terms listed in the document
# "copying.dj", available from DJ Delorie at the address above.
# A copy of "copying.dj" should accompany this file; if not, a copy
# should be available from where this file was obtained.  This file
# may not be distributed without a verbatim copy of "copying.dj".
#
# This file is distributed WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

# History:4,12
# Makefile for libc.a
#
# This makefile is set up for use with GNUish MAKE
#

LONGARGS = gcc:ar

VPATH = .;dos;gnu;io;lib;str;sys;gen

ENDOFLIST =

CFLAGS = -O2

LIB = ../../lib

$(ODIR)/%.o : %.s
	gcc $(PG) $(CFLAGS) -c $< -o $(ODIR)/$*.o

$(ODIR)/%.o : %.c
	gcc $(PG) $(CFLAGS) -c $< -o $(ODIR)/$*.o

$(ODIR)/%.o : %.cc
	gcc $(PG) $(CFLAGS) -c $< -o $(ODIR)/$*.o

OBJS = \
	$(ODIR)/_adddi3.o \
	$(ODIR)/gnulib3.o \
	$(ODIR)/_anddi3.o \
	$(ODIR)/_ashldi3.o \
	$(ODIR)/_ashrdi3.o \
	$(ODIR)/_bdiv.o \
	$(ODIR)/_cmpdi2.o \
	$(ODIR)/_divdi3.o \
	$(ODIR)/_fixdfdi.o \
	$(ODIR)/_fixunsd.o \
	$(ODIR)/_floatdi.o \
	$(ODIR)/_iordi3.o \
	$(ODIR)/_lshldi3.o \
	$(ODIR)/_lshrdi3.o \
	$(ODIR)/_moddi3.o \
	$(ODIR)/_muldi3.o \
	$(ODIR)/_negdi2.o \
	$(ODIR)/_one_cmp.o \
	$(ODIR)/_subdi3.o \
	$(ODIR)/_ucmpdi2.o \
	$(ODIR)/_udivdi3.o \
	$(ODIR)/_umoddi3.o \
	$(ODIR)/_varargs.o \
	$(ODIR)/_xordi3.o \
	$(ODIR)/bi_del.o \
	$(ODIR)/bi_new.o \
	$(ODIR)/bi_new2.o \
	$(ODIR)/eprintf.o \
	$(ODIR)/xyzzy.o \
	$(ODIR)/gnufuncs.o \
	$(ODIR)/clrerr.o \
	$(ODIR)/doprnt.o \
	$(ODIR)/doscan.o \
	$(ODIR)/fdopen.o \
	$(ODIR)/fgetc.o \
	$(ODIR)/fgets.o \
	$(ODIR)/filbuf.o \
	$(ODIR)/findiop.o \
	$(ODIR)/flsbuf.o \
	$(ODIR)/fopen.o \
	$(ODIR)/fprintf.o \
	$(ODIR)/fputc.o \
	$(ODIR)/fputs.o \
	$(ODIR)/fread.o \
	$(ODIR)/freopen.o \
	$(ODIR)/fseek.o \
	$(ODIR)/ftell.o \
	$(ODIR)/fwrite.o \
	$(ODIR)/getchar.o \
	$(ODIR)/gets.o \
	$(ODIR)/getw.o \
	$(ODIR)/printf.o \
	$(ODIR)/putchar.o \
	$(ODIR)/puts.o \
	$(ODIR)/putw.o \
	$(ODIR)/rew.o \
	$(ODIR)/scanf.o \
	$(ODIR)/setbuf.o \
	$(ODIR)/setbuffe.o \
	$(ODIR)/setvbuf.o \
	$(ODIR)/sprintf.o \
	$(ODIR)/ungetc.o \
	$(ODIR)/vfprintf.o \
	$(ODIR)/vprintf.o \
	$(ODIR)/vsprintf.o \
	$(ODIR)/abort.o \
	$(ODIR)/abs.o \
	$(ODIR)/atof.o \
	$(ODIR)/atoi.o \
	$(ODIR)/atol.o \
	$(ODIR)/bsearch.o \
	$(ODIR)/ctype.o \
	$(ODIR)/div.o \
	$(ODIR)/exit.o \
	$(ODIR)/getenv.o \
	$(ODIR)/labs.o \
	$(ODIR)/ldexp.o \
	$(ODIR)/ldiv.o \
	$(ODIR)/malloc.o \
	$(ODIR)/onexit.o \
	$(ODIR)/putenv.o \
	$(ODIR)/qsort.o \
	$(ODIR)/rand.o \
	$(ODIR)/setenv.o \
	$(ODIR)/strtod.o \
	$(ODIR)/strtol.o \
	$(ODIR)/strtoul.o \
	$(ODIR)/syserr.o \
	$(ODIR)/modf.o \
	$(ODIR)/bcmp.o \
	$(ODIR)/ffs.o \
	$(ODIR)/index.o \
	$(ODIR)/memccpy.o \
	$(ODIR)/memchr.o \
	$(ODIR)/memcmp.o \
	$(ODIR)/rindex.o \
	$(ODIR)/strcasec.o \
	$(ODIR)/strcat.o \
	$(ODIR)/strchr.o \
	$(ODIR)/strcmp.o \
	$(ODIR)/strcoll.o \
	$(ODIR)/strcpy.o \
	$(ODIR)/strcspn.o \
	$(ODIR)/strdup.o \
	$(ODIR)/strerror.o \
	$(ODIR)/strftime.o \
	$(ODIR)/strlen.o \
	$(ODIR)/strlwr.o \
	$(ODIR)/strncat.o \
	$(ODIR)/strncmp.o \
	$(ODIR)/strncpy.o \
	$(ODIR)/strpbrk.o \
	$(ODIR)/strrchr.o \
	$(ODIR)/strsep.o \
	$(ODIR)/strspn.o \
	$(ODIR)/strstr.o \
	$(ODIR)/strtok.o \
	$(ODIR)/strupr.o \
	$(ODIR)/strxfrm.o \
	$(ODIR)/swab.o \
	$(ODIR)/memmove.o \
	$(ODIR)/_bcopy.o \
	$(ODIR)/_memcpy.o \
	$(ODIR)/bcopy.o \
	$(ODIR)/bzero.o \
	$(ODIR)/memcpy.o \
	$(ODIR)/memset.o \
	$(ODIR)/vfork.o \
	$(ODIR)/fork.o \
	$(ODIR)/sigsetma.o \
	$(ODIR)/chown.o \
	$(ODIR)/crlf2nl.o \
	$(ODIR)/fchmod.o \
	$(ODIR)/ftruncat.o \
	$(ODIR)/getcwd.o \
	$(ODIR)/getdtabl.o \
	$(ODIR)/getpages.o \
	$(ODIR)/getpid.o \
	$(ODIR)/getrusag.o \
	$(ODIR)/kill.o \
	$(ODIR)/readv.o \
	$(ODIR)/signal.o \
	$(ODIR)/truncate.o \
	$(ODIR)/umask.o \
	$(ODIR)/utime.o \
	$(ODIR)/utimes.o \
	$(ODIR)/writev.o \
	$(ODIR)/_exit.o \
	$(ODIR)/_setmode.o \
	$(ODIR)/access.o \
	$(ODIR)/clock.o \
	$(ODIR)/brk.o \
	$(ODIR)/chdir.o \
	$(ODIR)/chmod.o \
	$(ODIR)/close.o \
	$(ODIR)/creat.o \
	$(ODIR)/dup.o \
	$(ODIR)/dup2.o \
	$(ODIR)/errno.o \
	$(ODIR)/fstat.o \
	$(ODIR)/fsync.o \
	$(ODIR)/gettimeo.o \
	$(ODIR)/getwd.o \
	$(ODIR)/hton.o \
	$(ODIR)/isatty.o \
	$(ODIR)/link.o \
	$(ODIR)/longjmp.o \
	$(ODIR)/lseek.o \
	$(ODIR)/mkdir.o \
	$(ODIR)/open.o \
	$(ODIR)/read.o \
	$(ODIR)/rename.o \
	$(ODIR)/rmdir.o \
	$(ODIR)/sbrk.o \
	$(ODIR)/setjmp.o \
	$(ODIR)/settimeo.o \
	$(ODIR)/stat.o \
	$(ODIR)/system.o \
	$(ODIR)/tell.o \
	$(ODIR)/turbo.o \
	$(ODIR)/unlink.o \
	$(ODIR)/write.o \
	$(ODIR)/ctime.o \
	$(ODIR)/getpass.o \
	$(ODIR)/difftime.o \
	$(ODIR)/xmalloc.o \
	$(ODIR)/fnmatch.o \
	$(ODIR)/xrealloc.o \
	$(ODIR)/getopt.o \
	$(ODIR)/insque.o \
	$(ODIR)/isctype.o \
	$(ODIR)/mktemp.o \
	$(ODIR)/nlist.o \
	$(ODIR)/perror.o \
	$(ODIR)/random.o \
	$(ODIR)/remove.o \
	$(ODIR)/remque.o \
	$(ODIR)/setjmper.o \
	$(ODIR)/sleep.o \
	$(ODIR)/time.o \
	$(ODIR)/timezone.o \
	$(ODIR)/tmpnam.o \
	$(ODIR)/usleep.o \
	$(ODIR)/valloc.o \
	$(ODIR)/bdos.o \
	$(ODIR)/bdosptr.o \
	$(ODIR)/dir.o \
	$(ODIR)/delay.o \
	$(ODIR)/intdos.o \
	$(ODIR)/intdosx.o \
	$(ODIR)/getkey.o \
	$(ODIR)/kbhit.o \
	$(ODIR)/findfirs.o \
	$(ODIR)/findnext.o \
	$(ODIR)/int86x.o \
	$(ENDOFLIST)

$(LIB)/libc$(PS).a : $(ODIR) $(OBJS)
	-rm $@
	ar rvs $@ $(ODIR)/*.o

$(ODIR) :
	md $(ODIR)
